%define _enable_debug_packages %{nil}
%define debug_package %{nil}

Summary:	Set of Python 3 bindings for Trolltech's Qt application framework
Name:		python3-qt5
Version:	5.5.1
Release:	1
License:	GPLv2+
Group:		Development/KDE and Qt
Url:		http://www.riverbankcomputing.co.uk/software/pyqt/intro
Source0:	http://downloads.sourceforge.net/pyqt/PyQt-gpl-%{version}.tar.gz
Patch0:		PyQt-gpl-5.5.1-sip3.patch
BuildRequires:	python3-dbus
BuildRequires:	python3-sip
BuildRequires:	qmake5
BuildRequires:	qt5-macros
BuildRequires:	sed
# python3-dbus seems to be missing dbus/dbus-python.h
BuildRequires:	pkgconfig(dbus-python)
BuildRequires:	pkgconfig(Enginio)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(Qt5Bluetooth)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Designer)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Location)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5MultimediaWidgets)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Nfc)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Positioning)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Sensors)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebChannel)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5WebSockets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5XmlPatterns)
BuildRequires:	pkgconfig(Qt5X11Extras)
Requires:	%{name}-core = %{EVRD}
Requires:	%{name}-dbus = %{EVRD}
Requires:	%{name}-bluetooth = %{EVRD}
Requires:	%{name}-designer = %{EVRD}
Requires:	%{name}-enginio = %{EVRD}
Requires:	%{name}-gui = %{EVRD}
Requires:	%{name}-multimedia = %{EVRD}
Requires:	%{name}-multimediawidgets = %{EVRD}
Requires:	%{name}-network = %{EVRD}
Requires:	%{name}-opengl = %{EVRD}
Requires:	%{name}-positioning = %{EVRD}
Requires:	%{name}-printsupport = %{EVRD}
Requires:	%{name}-qml = %{EVRD}
Requires:	%{name}-quick = %{EVRD}
Requires:	%{name}-quickwidgets = %{EVRD}
Requires:	%{name}-sensors = %{EVRD}
Requires:	%{name}-serialport = %{EVRD}
Requires:	%{name}-sql = %{EVRD}
Requires:	%{name}-svg = %{EVRD}
Requires:	%{name}-test = %{EVRD}
Requires:	%{name}-webchannel = %{EVRD}
Requires:	%{name}-webenginewidgets = %{EVRD}
Requires:	%{name}-webkit = %{EVRD}
Requires:	%{name}-webkitwidgets = %{EVRD}
Requires:	%{name}-websockets = %{EVRD}
Requires:	%{name}-widgets = %{EVRD}
Requires:	%{name}-xml = %{EVRD}
Requires:	%{name}-xmlpatterns = %{EVRD}
Requires:	%{name}-x11extras = %{EVRD}
Provides:	Py3Qt5 = %{EVRD}

%description
PyQt is a set of Python 3 bindings for Trolltech's Qt application framework.

%files

#----------------------------------------------------------------------------

%package core
Summary:	PyQt 5 core
Group:		Development/KDE and Qt
Requires:	python3-sip-api(%{sip_api_major}) = %{sip_api}

%description core
PyQt 5 core.

%files core
%dir %{py3_platsitedir}/PyQt5
%{py3_platsitedir}/PyQt5/uic
%{py3_platsitedir}/PyQt5/__init__.py*
%{py3_puresitedir}/dbus/*
%{py3_platsitedir}/PyQt5/Qt.so
%{py3_platsitedir}/PyQt5/QtCore.so
%{_datadir}/sip3/PyQt5/Qt
%{_datadir}/sip3/PyQt5/QtCore

#----------------------------------------------------------------------------

%package dbus
Summary:	PyQt 5 dbus
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description dbus
PyQt 5 dbus.

%files dbus
%{py3_platsitedir}/PyQt5/QtDBus.so
%{_datadir}/sip3/PyQt5/QtDBus

#----------------------------------------------------------------------------

%package designer
Summary:	PyQt 5 designer
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description designer
PyQt 5 designer.

%files designer
%{py3_platsitedir}/PyQt5/QtDesigner.so
%{_datadir}/sip3/PyQt5/QtDesigner

#----------------------------------------------------------------------------

%package enginio
Summary:	PyQt 5 enginio
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description enginio
PyQt 5 enginio.

%files enginio
%{py3_platsitedir}/PyQt5/Enginio.so
%{_datadir}/sip3/PyQt5/Enginio

#----------------------------------------------------------------------------

%package bluetooth
Summary:	PyQt 5 bluetooth
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description bluetooth
PyQt 5 bluetooth.

%files bluetooth
%{py3_platsitedir}/PyQt5/QtBluetooth.so
%{_datadir}/sip3/PyQt5/QtBluetooth

#----------------------------------------------------------------------------

%package gui
Summary:	PyQt 5 gui
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description gui
PyQt 5 gui.

%files gui
%{py3_platsitedir}/PyQt5/QtGui.so
%{py3_platsitedir}/PyQt5/_QOpenGLFunctions_2_0.so
%{py3_platsitedir}/PyQt5/_QOpenGLFunctions_2_1.so
%{py3_platsitedir}/PyQt5/_QOpenGLFunctions_4_1_Core.so
%{_datadir}/sip3/PyQt5/QtGui
%{_datadir}/sip3/PyQt5/_QOpenGLFunctions_2_0
%{_datadir}/sip3/PyQt5/_QOpenGLFunctions_2_1
%{_datadir}/sip3/PyQt5/_QOpenGLFunctions_4_1_Core

#----------------------------------------------------------------------------

%package help
Summary:	PyQt 5 help
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description help
PyQt 5 help.

%files help
%{py3_platsitedir}/PyQt5/QtHelp.so
%{_datadir}/sip3/PyQt5/QtHelp

#----------------------------------------------------------------------------

%package location
Summary:	PyQt 5 location
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description location
PyQt 5 location.

%files location
%{py3_platsitedir}/PyQt5/QtLocation.so
%{_datadir}/sip3/PyQt5/QtLocation

#----------------------------------------------------------------------------

%package multimedia
Summary:	PyQt 5 multimedia
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description multimedia
PyQt 5 multimedia.

%files multimedia
%{py3_platsitedir}/PyQt5/QtMultimedia.so
%{_datadir}/sip3/PyQt5/QtMultimedia

#----------------------------------------------------------------------------

%package multimediawidgets
Summary:	PyQt 5 multimediawidgets
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description multimediawidgets
PyQt 5 multimediawidgets.

%files multimediawidgets
%{py3_platsitedir}/PyQt5/QtMultimediaWidgets.so
%{_datadir}/sip3/PyQt5/QtMultimediaWidgets

#----------------------------------------------------------------------------

%package network
Summary:	PyQt 5 network
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description network
PyQt 5 network.

%files network
%{py3_platsitedir}/PyQt5/QtNetwork.so
%{_datadir}/sip3/PyQt5/QtNetwork

#----------------------------------------------------------------------------

%package nfc
Summary:	PyQt 5 nfc
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description nfc
PyQt 5 nfc.

%files nfc
%{py3_platsitedir}/PyQt5/QtNfc.so
%{_datadir}/sip3/PyQt5/QtNfc

#----------------------------------------------------------------------------

%package opengl
Summary:	PyQt 5 opengl
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description opengl
PyQt 5 opengl.

%files opengl
%{py3_platsitedir}/PyQt5/QtOpenGL.so
%{_datadir}/sip3/PyQt5/QtOpenGL

#----------------------------------------------------------------------------

%package positioning
Summary:	PyQt 5 positioning
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description positioning
PyQt 5 positioning.

%files positioning
%{py3_platsitedir}/PyQt5/QtPositioning.so
%{_datadir}/sip3/PyQt5/QtPositioning

#----------------------------------------------------------------------------

%package printsupport
Summary:	PyQt 5 printsupport
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description printsupport
PyQt 5 printsupport

%files printsupport
%{py3_platsitedir}/PyQt5/QtPrintSupport.so
%{_datadir}/sip3/PyQt5/QtPrintSupport

#----------------------------------------------------------------------------

%package qml
Summary:	PyQt 5 qml
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description qml
PyQt 5 qml.

%files qml
%{py3_platsitedir}/PyQt5/QtQml.so
%{_datadir}/sip3/PyQt5/QtQml

#----------------------------------------------------------------------------

%package quick
Summary:	PyQt 5 quick
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description quick
PyQt 5 quick.

%files quick
%{py3_platsitedir}/PyQt5/QtQuick.so
%{_datadir}/sip3/PyQt5/QtQuick

#----------------------------------------------------------------------------

%package quickwidgets
Summary:	PyQt 5 quickwidgets
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description quickwidgets
PyQt 5 quickwidgets.

%files quickwidgets
%{py3_platsitedir}/PyQt5/QtQuickWidgets.so
%{_datadir}/sip3/PyQt5/QtQuickWidgets

#----------------------------------------------------------------------------

%package sensors
Summary:	PyQt 5 sensors
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description sensors
PyQt 5 sensors.

%files sensors
%{py3_platsitedir}/PyQt5/QtSensors.so
%{_datadir}/sip3/PyQt5/QtSensors

#----------------------------------------------------------------------------

%package serialport
Summary:	PyQt 5 serialport
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description serialport
PyQt 5 serialport.

%files serialport
%{py3_platsitedir}/PyQt5/QtSerialPort.so
%{_datadir}/sip3/PyQt5/QtSerialPort

#----------------------------------------------------------------------------

%package sql
Summary:	PyQt 5 sql
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description sql
PyQt 5 sql.

%files sql
%{py3_platsitedir}/PyQt5/QtSql.so
%{_datadir}/sip3/PyQt5/QtSql

#----------------------------------------------------------------------------

%package svg
Summary:	PyQt 5 svg
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description svg
PyQt 5 svg.

%files svg
%{py3_platsitedir}/PyQt5/QtSvg.so
%{_datadir}/sip3/PyQt5/QtSvg

#----------------------------------------------------------------------------

%package test
Summary:	PyQt 5 test
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description test
PyQt 5 test.

%files test
%{py3_platsitedir}/PyQt5/QtTest.so
%{_datadir}/sip3/PyQt5/QtTest

#----------------------------------------------------------------------------

%package webchannel
Summary:	PyQt 5 WebChannel
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description webchannel
PyQt 5 WebChannel.

%files webchannel
%{py3_platsitedir}/PyQt5/QtWebChannel.so
%{_datadir}/sip3/PyQt5/QtWebChannel

#----------------------------------------------------------------------------

%package webenginewidgets
Summary:	PyQt 5 WebEngineWidgets
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description webenginewidgets
PyQt 5 WebEngineWidgets.

%files webenginewidgets
%{py3_platsitedir}/PyQt5/QtWebEngineWidgets.so
%{_datadir}/sip3/PyQt5/QtWebEngineWidgets

#----------------------------------------------------------------------------

%package webkit
Summary:	PyQt 5 Webkit
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description webkit
PyQt 5 Webkit.

%files webkit
%{py3_platsitedir}/PyQt5/QtWebKit.so
%{_datadir}/sip3/PyQt5/QtWebKit

#----------------------------------------------------------------------------

%package webkitwidgets
Summary:	PyQt 5 webkitwidgets
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description webkitwidgets
PyQt 5 webkitwidgets.

%files webkitwidgets
%{py3_platsitedir}/PyQt5/QtWebKitWidgets.so
%{_datadir}/sip3/PyQt5/QtWebKitWidgets

#----------------------------------------------------------------------------

%package websockets
Summary:	PyQt 5 websockets
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description websockets
PyQt 5 websockets.

%files websockets
%{py3_platsitedir}/PyQt5/QtWebSockets.so
%{_datadir}/sip3/PyQt5/QtWebSockets

#----------------------------------------------------------------------------

%package widgets
Summary:	PyQt 5 widgets
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description widgets
PyQt 5 widgets.

%files widgets
%{py3_platsitedir}/PyQt5/QtWidgets.so
%{_datadir}/sip3/PyQt5/QtWidgets

#----------------------------------------------------------------------------

%package xml
Summary:	PyQt 5 XML
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description xml
PyQt 5 XML.

%files xml
%{py3_platsitedir}/PyQt5/QtXml.so
%{_datadir}/sip3/PyQt5/QtXml

#----------------------------------------------------------------------------

%package xmlpatterns
Summary:	PyQt 5 XMLPatterns
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description xmlpatterns
PyQt 5 XMLPatterns.

%files xmlpatterns
%{py3_platsitedir}/PyQt5/QtXmlPatterns.so
%{_datadir}/sip3/PyQt5/QtXmlPatterns

#----------------------------------------------------------------------------

%package x11extras
Summary:	PyQt 5 x11extras
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description x11extras
PyQt 5 x11extras.

%files x11extras
%{py3_platsitedir}/PyQt5/QtX11Extras.so
%{_datadir}/sip3/PyQt5/QtX11Extras

#----------------------------------------------------------------------------

%package devel
Summary:	PyQt 5 devel
Group:		Development/KDE and Qt
Requires:	%{name} = %{EVRD}
Requires:	qt5-designer
Conflicts:	python-qt5-devel

%description devel
PyQt 5 devel utilities.

%files devel
%{_bindir}/pyuic5
%{_bindir}/pyrcc5
%{_bindir}/pylupdate5
%{_qt5_plugindir}/designer/*

#----------------------------------------------------------------------------

%package doc
Summary:	PyQt 5 documentation
Group:		Development/KDE and Qt
Buildarch:	noarch

%description doc
PyQt 5 documentation.

%files doc
%doc %{_docdir}/%{name}
%exclude %{_docdir}/%{name}/examples

#----------------------------------------------------------------------------

%package examples
Summary:	PyQt 5 examples
Group:		Development/KDE and Qt
BuildArch:	noarch

%description examples
PyQt 5 examples.

%files examples
%doc %{_docdir}/%{name}/examples

#----------------------------------------------------------------------------

%prep
%setup -q -n PyQt-gpl-%{version}
%patch0 -p1

%build
export PATH=%{_qt5_bindir}:$PATH

python3 ./configure.py \
	--no-qsci-api \
	--no-qml-plugin \
	--confirm-license \
    --sip=/usr/bin/sip3

sed -i -e "s,-fstack-protector,-fno-stack-protector,g" _Q*/Makefile
sed -i -e "s,^LIBS .*= ,LIBS = $(python3-config --libs) ,g" Qt*/Makefile _Q*/Makefile dbus/Makefile Enginio/Makefile
sed -i -e "s#^LFLAGS .*= #LFLAGS = %{ldflags} #g" Qt*/Makefile _Q*/Makefile pyrcc/Makefile designer/Makefile dbus/Makefile Enginio/Makefile

%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}
rm -fr %{buildroot}%{py3_platsitedir}/PyQt5/uic/port_v2

mkdir -p %{buildroot}%{_docdir}/%{name}
    cp -fr doc/html/* %{buildroot}%{_docdir}/%{name}/

mkdir %{buildroot}%{_docdir}/%{name}/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{name}/examples/


%changelog

* Thu Apr 14 2016 Denis Silakov <denis.silakov@rosalab.ru> 5.5.1-1
- (5cc7d86) Fix sip3 location


